## org.eclipse.ocl.cst
Enum DotOrArrowEnum

    java.lang.Object
      java.lang.Enum<DotOrArrowEnum>
          org.eclipse.ocl.cst.DotOrArrowEnum

All Implemented Interfaces:
  Serializable, Comparable<DotOrArrowEnum>, Enumerator

    public enum DotOrArrowEnum

extends Enum<DotOrArrowEnum>
implements Enumerator

A representation of the literals of the enumeration 'Dot Or Arrow Enum', and utility methods for working with them.

See Also:
  `CSTPackage.getDotOrArrowEnum()`

Enum Constant Summary
`ARROW_LITERAL` The 'Arrow' literal object
`DOT_LITERAL` The 'Dot' literal object
`NONE_LITERAL` The 'None' literal object

Field Summary
`static int` `ARROW` The 'Arrow' literal value
`static int` `DOT` The 'Dot' literal value
`static int` `NONE` The 'None' literal value
`static List<DotOrArrowEnum>` `VALUES` A public read-only list of all the 'Dot Or Arrow Enum' enumerators

Method Summary
`static DotOrArrowEnum` `get(int value)` Returns the 'Dot Or Arrow Enum' literal with the specified integer value
`static DotOrArrowEnum` `get(String literal)` Returns the 'Dot Or Arrow Enum' literal with the specified literal value
`static DotOrArrowEnum` `getByName(String name)` Returns the 'Dot Or Arrow Enum' literal with the specified name
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static DotOrArrowEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DotOrArrowEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE_LITERAL

    public static final DotOrArrowEnum NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### DOT_LITERAL

    public static final DotOrArrowEnum DOT_LITERAL

  The 'Dot' literal object.

  See Also:
    `DOT`

### ARROW_LITERAL

    public static final DotOrArrowEnum ARROW_LITERAL

  The 'Arrow' literal object.

  See Also:
    `ARROW`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE_LITERAL`, Constant Field Values

### DOT

    public static final int DOT

  The 'Dot' literal value.

  If the meaning of 'Dot' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOT_LITERAL`, Constant Field Values

### ARROW

    public static final int ARROW

  The 'Arrow' literal value.

  If the meaning of 'Arrow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ARROW_LITERAL`, Constant Field Values

### VALUES

    public static final List<DotOrArrowEnum> VALUES

  A public read-only list of all the 'Dot Or Arrow Enum' enumerators.

Method Detail

### values

    public static final DotOrArrowEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DotOrArrowEnum c : DotOrArrowEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DotOrArrowEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static DotOrArrowEnum get(String literal)

  Returns the 'Dot Or Arrow Enum' literal with the specified literal value.

### getByName

    public static DotOrArrowEnum getByName(String name)

  Returns the 'Dot Or Arrow Enum' literal with the specified name.

### get

    public static DotOrArrowEnum get(int value)

  Returns the 'Dot Or Arrow Enum' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<DotOrArrowEnum>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.